#668 esniper-2-31 parseBidHistory in history.c line 307

v1.0 (example)
closed-wont-fix
nobody
None
5
2014-08-18
2014-06-09
Tony Hammond
No

esniper-2-31 - compiled it from source on my debian server yesterday - steps as follows:
1. apt-get install libcurl4-openssl-dev // did this because /.configure complained of cURL certificate problems. And this seemed to cure it.
2. /.configure
3. make install

But when bidding there are now
hundreds of bug log files and a esniper.#####.txt log of 800MB - all the same bug - line 307 of history.c

Auction 281354829215: Samsung Galaxy Note II GT-N7100 - 16 GB - Titanium Grey (O2) Smartphone
esniper encountered a bug. Please go to:
http://sourceforge.net/tracker/?func=add&group_id=45285&atid=442436
paste this into "Detailed Description":
Automated esniper bug report.
esniper version 2.31.0
libcurl/7.26.0 OpenSSL/1.0.1e zlib/1.2.7 libidn/1.25 libssh2/1.4.2 librtmp/2.3
Error encountered in function parseBidHistory in history.c line 307
auction = 281354829215, price = 147, remain = 1
latency = 1, result = 0, error = 0
buf = 0x567678, size = 47677, read = 0x567678
time = 1402334712, offset = 0
pagename = "PageViewBids_Closed_Outbid", pageid = "(null)", srcid = "ViewBids"
specified options or config values:
2 x username(u) =
2 x password() =

2 x seconds(s) = 5
3 x quantity(q) = 1
1 x (f) = "note2.txt"
2 x reduce() = 1
2 x bid() = 1
2 x debug(d) = 1
2 x batch(b) = 0
2 x logdir(l) = "/share"
2 x historyHost() = "offer.ebay.co.uk"
2 x prebidHost() = "offer.ebay.co.uk"
2 x bidHost() = "offer.ebay.co.uk"
2 x loginHost() = "signin.ebay.co.uk"
2 x myeBayHost() = "my.ebay.co.uk"
remaining time not found
then upload and attach esniper.7902.2801.bug.html and click submit.
Auction 281354829215: Samsung Galaxy Note II GT-N7100 - 16 GB - Titanium Grey (O2) Smartphone
esniper encountered a bug. Please go to:
http://sourceforge.net/tracker/?func=add&group_id=45285&atid=442436
paste this into "Detailed Description":
Automated esniper bug report.
esniper version 2.31.0
libcurl/7.26.0 OpenSSL/1.0.1e zlib/1.2.7 libidn/1.25 libssh2/1.4.2 librtmp/2.3
Error encountered in function parseBidHistory in history.c line 307
auction = 281354829215, price = 147, remain = 1
latency = 1, result = 0, error = 0
buf = 0x567678, size = 47677, read = 0x567678
time = 1402334715, offset = 0
pagename = "PageViewBids_Closed_Outbid", pageid = "(null)", srcid = "ViewBids"
specified options or config values:
2 x username(u) =
2 x password() =

2 x seconds(s) = 5
3 x quantity(q) = 1
1 x (f) = "note2.txt"
2 x reduce() = 1
2 x bid() = 1
2 x debug(d) = 1
2 x batch(b) = 0
2 x logdir(l) = "/share"
2 x historyHost() = "offer.ebay.co.uk"
2 x prebidHost() = "offer.ebay.co.uk"
2 x bidHost() = "offer.ebay.co.uk"
2 x loginHost() = "signin.ebay.co.uk"
2 x myeBayHost() = "my.ebay.co.uk"
remaining time not found
then upload and attach esniper.7902.2802.bug.html and click submit.
Auction 281354829215: Time remaining not found
Auction 281354829215: Waiting 2 seconds for auction to complete...

Auction 281354829215: Post-bid info:
Auction 281354829215: Samsung Galaxy Note II GT-N7100 - 16 GB - Titanium Grey (O2) Smartphone
esniper encountered a bug. Please go to:
http://sourceforge.net/tracker/?func=add&group_id=45285&atid=442436
paste this into "Detailed Description":
Automated esniper bug report.
esniper version 2.31.0
libcurl/7.26.0 OpenSSL/1.0.1e zlib/1.2.7 libidn/1.25 libssh2/1.4.2 librtmp/2.3
Error encountered in function parseBidHistory in history.c line 307
auction = 281354829215, price = 147, remain = 1
latency = 1, result = 0, error = 0
buf = 0x567678, size = 47677, read = 0x567678
time = 1402334721, offset = 0
pagename = "PageViewBids_Closed_Outbid", pageid = "(null)", srcid = "ViewBids"
specified options or config values:
2 x username(u) =
2 x password() =

2 x seconds(s) = 5
3 x quantity(q) = 1
1 x (f) = "note2.txt"
2 x reduce() = 1
2 x bid() = 1
2 x debug(d) = 1
2 x batch(b) = 0
2 x logdir(l) = "/share"
2 x historyHost() = "offer.ebay.co.uk"
2 x prebidHost() = "offer.ebay.co.uk"
2 x bidHost() = "offer.ebay.co.uk"
2 x loginHost() = "signin.ebay.co.uk"
2 x myeBayHost() = "my.ebay.co.uk"
remaining time not found
then upload and attach esniper.7902.2803.bug.html and click submit.

3 Attachments

Discussion

  • Tony Hammond
    Tony Hammond
    2014-06-09

    One other thing to mention - changed ebay password to incorporate special characters = @! etc..

     
  • Bodo
    Bodo
    2014-06-09

    I don't think it's related to your password change.

    The error message is "remaining time not found". The attached page contains "Time ended: 09-Jun-14 15:09:10 BST", so esniper should normally skip this auction.
    Please check if the problem is also present when you do not specify the hosts to use (historyHost etc). There might be a difference between the ebay.com and ebay.co.uk pages.

    If the problem does not occur with the default ebay.com hosts I will not spend any time to investigate, but I will accept patches that are compatible with the default hosts.

     
  • Tony Hammond
    Tony Hammond
    2014-06-09

    Thanks for the quick response. I reasoned that it must have choked on the @ character in my password as it wrote 1 gig of esniper.#####.txt.log. And thousands of bug
    html files. I took it out of my password, and it all seems to work fine now. I am bidding without problems. I will try and replicate to make sure.

     
    • Bodo
      Bodo
      2014-06-10

      OK. If you can reproduce the problem by re-inserting the @ character I will have to investigate. There is no obvious relation between the password and the error message in the bug reports.

       
  • Tony Hammond
    Tony Hammond
    2014-06-10

    Please visit http://esniper.sf.net/ for updates and bug reports. To learn
    about updates to and major bugs in esniper, subscribe to the esniper mailing
    list at http://lists.sf.net/lists/listinfo/esniper-announce
    Auction 231248325207: Cannot connect to URL https://signin.ebay.co.uk/ws/eBayISAPI.dll?SignIn: Peer certificate cannot be authenticated with given CA certificates: SSL certifica
    te problem: unable to get local issuer certificate
    Retrying...
    Auction 231248325207: Samsung Galaxy Note II GT-N7100 16 GB Titanium Grey (Unlocked) Smartphone Extras
    esniper encountered a bug. Please go to:
    http://sourceforge.net/tracker/?func=add&group_id=45285&atid=442436
    paste this into "Detailed Description":
    Automated esniper bug report.
    esniper version 2.31.0
    libcurl/7.26.0 OpenSSL/1.0.1e zlib/1.2.7 libidn/1.25 libssh2/1.4.2 librtmp/2.3
    Error encountered in function parseBidHistory in history.c line 307
    auction = 231248325207, price = 143.99, remain = 0
    latency = 0, result = -1, error = 0
    buf = 0x14c8cc8, size = 67722, read = 0x14c8cc8
    time = 1402393493, offset = 0
    pagename = "PageViewBids_Closed_None", pageid = "(null)", srcid = "ViewBids"
    specified options or config values:
    2 x username(u) =
    2 x password() =

    2 x seconds(s) = 5
    3 x quantity(q) = 1
    1 x (f) = "note2.txt"
    2 x reduce() = 1
    2 x bid() = 1
    2 x debug(d) = 1
    2 x batch(b) = 0
    2 x logdir(l) = "/share"
    2 x historyHost() = "offer.ebay.co.uk"
    2 x prebidHost() = "offer.ebay.co.uk"
    2 x bidHost() = "offer.ebay.co.uk"
    2 x loginHost() = "signin.ebay.co.uk"
    2 x myeBayHost() = "my.ebay.co.uk"
    remaining time not found
    then upload and attach esniper.11647.1.bug.html and click submit.
    Auction 231248325207: Samsung Galaxy Note II GT-N7100 16 GB Titanium Grey (Unlocked) Smartphone Extras
    esniper encountered a bug. Please go to:
    http://sourceforge.net/tracker/?func=add&group_id=45285&atid=442436
    paste this into "Detailed Description":

    It didn't work this morning. Seemed to work last night bidding for something else.
    This time the first bug is a certificate error, and then we get many ParseBidHistory error in History.c at 307 etc...
    I have now changed from libcurl4-openssl-dev to libcurl4-gnutls-dev and will retry. I have installed curl.

     
  • Tony Hammond
    Tony Hammond
    2014-06-10

    Seems to work fine when HistoryHost changed.

    Auction 231248325207: Samsung Galaxy Note II GT-N7100 16 GB Titanium Grey (Unlocked) Smartphone Extras
    Time remaining: -- (0 seconds)
    Currently: 170.00 (your maximum bid: 143.99)

    of bids: 33

    High bidder: h***t (NOT tonyhamm)

    Auction 251552336217: Samsung GALAXY Note 2 GT-N7100 - 16 GB - Titanium Grey (O2 Network) Smartphone
    Time remaining: 5 hours 23 mins 13 secs (19393 seconds)
    End time: 10/06/2014 17:36:53
    Currently: 122.00 (your maximum bid: 142)

    of bids: 13

    High bidder: k***a (NOT tonyhamm)

    Auction 111376924731: Samsung Galaxy Note 2 II GT-N7100 - 16 GB - Titanium Grey (Unlocked) Smartphone
    Time remaining: -- (0 seconds)
    Currently: 174.99 (your maximum bid: 146)

    of bids: 9

    High bidder: f***s (NOT tonyhamm)

    Auction 121359941373: Samsung Galaxy Note II LTE GT-N7105 - 16 GB - Titanium Grey (Unlocked)...
    Time remaining: 3 hours 4 mins 14 secs (11054 seconds)
    End time: 10/06/2014 15:18:03
    Currently: 117.00 (your maximum bid: 145.12)

    of bids: 2

    High bidder: a***t (NOT tonyhamm)

    Sorting auctions...

    Need to win 1 item(s), 2 auction(s) remain

    Auction 121359941373: Samsung Galaxy Note II LTE GT-N7105 - 16 GB - Titanium Grey (Unlocked)...
    Time remaining: 3 hours 4 mins 12 secs (11052 seconds)
    End time: 10/06/2014 15:18:03
    Currently: 117.00 (your maximum bid: 145.12)

    of bids: 2

    High bidder: a***t (NOT tonyhamm)
    Latency: 0 seconds
    Tue Jun 10 12:13:52 2014: Sleeping for 1 hours 4 minutes

    .....
    Seems to be no problems when I changed HistoryHost to offer.ebay.com So its nothing to do with pw unescaped characters...
    Will keep historyHost as offer.ebay.com and see how we go from here.

     
    Last edit: Tony Hammond 2014-06-10
  • Bodo
    Bodo
    2014-06-10

    IIRC the problem with the openssl version of the CURL library has been present for some time.
    As it seems to works with the default host for the bid history, I will close this bug report with Status "closed-wont-fix" because we have a working build environment and configuration.
    Thanks for testing with different libraries and configuration.

     
    Last edit: Bodo 2014-06-10
  • Bodo
    Bodo
    2014-06-10

    • status: open --> closed-wont-fix